Package writer2latex.api

# Interface ContentEntry

All Known Implementing Classes:
  `ContentEntryImpl`

public interface ContentEntry
This interface represents a content entry, that is a named reference to a position within the output document.

## Method Summary

Modifier and Type
Method
Description
`OutputFile`
`getFile()`
Get the file associated with the entry
`int`
`getLevel()`
Get the outline level of this `ContentEntry`.
`String`
`getTarget()`
Get the name of a target within the file, if any
`String`
`getTitle()`
Get the title for this entry

## Method Details

### getLevel

int getLevel()
Get the outline level of this `ContentEntry`. The top level is 1 (entries corresponding to indexes are considered top level). Note that intermediate levels may be missing (e.g. a heading of level 3 may follow immediately after a heading of level 1).

Returns:
  the outline level

### getTitle

String getTitle()
Get the title for this entry

Returns:
  the title

### getFile

OutputFile getFile()
Get the file associated with the entry

Returns:
  the output file

### getTarget

String getTarget()
Get the name of a target within the file, if any

Returns:
  the target name, or null if no target is needed